How To Integrate Java ME SDK with Eclipse?

Many asked how they can use Java ME SDK on their favorite IDE, Eclipse. Well, it is not most recommended because you lost the advanced features provided by NetBeans, there certainly is a way to use Java ME SDK with Eclipse. Please see below.

Requirements

  • JDK 6 Update 27
  • Java ME SDK 3.0.5
  • Eclipse Classic 3.7.1

Instruction

Mobile Tools for Java (MTJ) Plugin Installation 

First, you need to install MTJ Plugin.

1. Start Eclipse and go to the “Help” -> “Install New Software...”

2. Insert link to MTJ (http://download.eclipse.org/mtj/updates/1.1.2/stable) into the “Work with” text field

3. Press “Enter” key

4. Check “Mobile Tools for Java”, and press "Next Button".


5. Press the "Next" button again.

6. Accept the terms of the license agreement, and press the "Finish" button.

Java ME SDK Emulator Integration

Once you have installed MTJ Plugin, then follow the process below to integrate Java ME SDK.

1. Start Eclipse and go to the “Window” -> “Preferences” -> “Java ME” -> “Device Management”.

2. Press the “Manual install...” button

3. Insert path to Java ME SDK into the “Specify search directory” text field

4. Press “Enter” key

5. Devices will appear in the “Devices” table

6. Press the “Finish” button. Then press "OK" button.

Running and debugging Java ME project

1. Right click on a project in the Package Explorer

2. To run a project, select “Run as” -> “Emulated Java ME JAD”

3. To debug a project, select “Debug as” -> “Emulated Java ME JAD”

Comments:

Hi, thanks for the information. Nevertheless I have a question: does this method work in Eclipse Classic for Windows 7 64 bits?
Thanks in advance.

Posted by guest on January 12, 2012 at 11:07 PM PST #

Installation worked for me (Eclipse 3.7/Indigo on Win7 64bit).

Posted by M Stevens on January 18, 2012 at 07:52 AM PST #

Ok,
Thanks M. Stevens. I will give it a try. I think (from my searches in internet) that still there are many people interested in the subject (and not only in Android) so it would be nice if you can publish (in this blog or other related) your procedure to get the whole set up working.
Thanks again.

Posted by guest on January 18, 2012 at 10:47 PM PST #

Follow up the instruction to setup Java_me_sdk + Eclipse + MTJ under my mac OS, while I running a J2me project ,it prompt an error :
Failed to connect to device 1!
Reason:
Emulator 1 terminated while waiting for it to register

how can I fix this problem.

Regards!

Posted by guest on February 23, 2012 at 07:47 AM PST #

I have i little prob. I have the same system as you, but my tries end on this: Installing suite from: http://127.0.0.1:10364/MidletTest.jad
Processing UPDATE_CLASS
ERROR - UNKNOWN - C:/Builds/jme-sdk/javacall-javame-sdk-305/implementation/share/cms_sqlite/javacall_cms_content.c line 428: Can't insert new content data: constraint failed

Some help? Thanks

Posted by guest on April 22, 2012 at 07:21 AM PDT #

Thanx for the information. My eclipse installed Java Mobile tools but no directory was created like JAVA ME 3.0.5 or any kind of that. I can see Java ME installed but cannot add devices please help me........

Posted by Sugam on August 30, 2012 at 09:59 AM PDT #

This does not work on latest Eclipse - Juno.

Here is the error log:

Cannot complete the install because one or more required items could not be found.
Software being installed: Mobile Tools for Java Examples 1.1.2.201101310801 (org.eclipse.mtj.examples.feature.group 1.1.2.201101310801)
Missing requirement: MTJ Core Plug-in 1.2.1.201101310801 (org.eclipse.mtj.core 1.2.1.201101310801) requires 'bundle org.mortbay.jetty.server [6.1.0,7.0.0)' but it could not be found
Cannot satisfy dependency:
From: Mobile Tools for Java Examples 1.1.2.201101310801 (org.eclipse.mtj.examples.feature.group 1.1.2.201101310801)
To: org.eclipse.mtj.examples.toolkit.sdkprovidertestclamp [1.0.2.201101310801]
Cannot satisfy dependency:
From: SDK Provider Test Clamp 1.0.2.201101310801 (org.eclipse.mtj.examples.toolkit.sdkprovidertestclamp 1.0.2.201101310801)
To: bundle org.eclipse.mtj.ui 1.1.0
Cannot satisfy dependency:
From: MTJ UI Plug-in 1.2.1.201101310801 (org.eclipse.mtj.ui 1.2.1.201101310801)
To: bundle org.eclipse.mtj.core 0.0.0

Posted by mladen on September 08, 2012 at 03:37 PM PDT #

@mladen, We found some issues on Eclipse Juno. Java ME SDK depends on MTJ, but MTJ is not downloaded and installed automatically on Juno. You have to download and set it up separately, and then try adding Java ME SDK again.

Posted by Java ME SDK Team on September 11, 2012 at 12:14 PM PDT #

When i try to add MTJ plugin in my eclipse Juno version,

I get below error. Please help me to come over this issue.

Cannot complete the install because one or more required items could not be found.
Software being installed: Mobile Tools for Java Examples 1.1.2.201101310801 (org.eclipse.mtj.examples.feature.group 1.1.2.201101310801)
Missing requirement: MTJ Core Plug-in 1.2.1.201101310801 (org.eclipse.mtj.core 1.2.1.201101310801) requires 'bundle org.mortbay.jetty.server [6.1.0,7.0.0)' but it could not be found
Cannot satisfy dependency:
From: Library Example Plug-in 1.0.0.201101310801 (org.eclipse.mtj.example.library 1.0.0.201101310801)
To: bundle org.eclipse.mtj.core 0.0.0
Cannot satisfy dependency:
From: Mobile Tools for Java Examples 1.1.2.201101310801 (org.eclipse.mtj.examples.feature.group 1.1.2.201101310801)
To: org.eclipse.mtj.example.library [1.0.0.201101310801]

Posted by guest on October 18, 2012 at 02:44 PM PDT #

Can i have java .jar flash player for android

Posted by ali on October 27, 2012 at 02:23 AM PDT #

i advice you to use eclipse indigo for java ME cos juno has javaME issues

Posted by guest on November 03, 2012 at 10:11 AM PDT #

All you need to do is put this link instead http://download.eclipse.org/releases/indigo/ and click the "Show only software applicable to target environment" button and scroll down to the 3 plugins you need.

Posted by Thierry on December 01, 2012 at 10:28 AM PST #

@Thierry, Thanks for the information.

Posted by Java ME SDK Team on December 04, 2012 at 10:27 AM PST #

Thanks a lot .

Posted by phokia on March 08, 2013 at 02:48 PM PST #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Java ME Platform SDK is a toolbox for developing mobile applications. Java ME SDK Download

Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today